Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.datacache
Class QueryKey

    java.lang.Object
      |
      +--kodo.datacache.QueryKey

All Implemented Interfaces:
  Externalizable, Serializable

public class QueryKey
extends Object
implements Externalizable

This class stores information about a particular invocation of a query. It contains a reference to the external properties of the query that was executed, as well as any parameters used to execute that query, with one exception: first-class objects used as parameter values are converted to OIDs.

See Also:
  Serialized Form

Constructor Summary
`QueryKey()` Public constructor meant for use by serialization only.

Method Summary
`boolean` | `changeInvalidatesQuery(Collection changed)` Returns `true` if modifications to any of the classes in `changed` results in a possible invalidation of this query; otherwise returns `false`.
`boolean` | `equals(Object ob)` Determine equality based on identifying information.
`String` | `getCandidateClassName()` Returns the candidate class name for this query.
`int` | `getTimeout()` Return the amount of time this key is good for.
`int` | `hashCode()` Define a hashing algorithm corresponding to the `equals(java.lang.Object)` method defined above.
`static QueryKey` | `newInstance(Query query)` Return a key for the given query, or null if it is not cachable.
`static QueryKey` | `newInstance(Query query, Map args)` Return a key for the given query, or null if it is not cachable.
`static QueryKey` | `newInstance(Query query, Object arg)` Return a key for the given query, or null if it is not cachable.
`static QueryKey` | `newInstance(Query query, Object[] args)` Return a key for the given query, or null if it is not cachable.
`static QueryKey` | `newInstance(Query query, Object arg0, Object arg1)` Return a key for the given query, or null if it is not cachable.
`static QueryKey` | `newInstance(Query query, Object arg0, Object arg1, Object arg2)` Return a key for the given query, or null if it is not cachable.
`void` | `readExternal(ObjectInput in)`
`String` | `toString()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryKey

    public QueryKey()

  Public constructor meant for use by serialization only.

Method Detail

### newInstance

    public static QueryKey newInstance(Query query)

  Return a key for the given query, or null if it is not cachable.

### newInstance

    public static QueryKey newInstance(Query query,
                                       Object arg)

  Return a key for the given query, or null if it is not cachable.

### newInstance

    public static QueryKey newInstance(Query query,
                                       Object arg0,
                                       Object arg1)

  Return a key for the given query, or null if it is not cachable.

### newInstance

    public static QueryKey newInstance(Query query,
                                       Object arg0,
                                       Object arg1,
                                       Object arg2)

  Return a key for the given query, or null if it is not cachable.

### newInstance

    public static QueryKey newInstance(Query query,
                                       Object[] args)

  Return a key for the given query, or null if it is not cachable.

### newInstance

    public static QueryKey newInstance(Query query,
                                       Map args)

  Return a key for the given query, or null if it is not cachable.

### getCandidateClassName

    public String getCandidateClassName()

  Returns the candidate class name for this query.

### getTimeout

    public int getTimeout()

  Return the amount of time this key is good for.

### changeInvalidatesQuery

    public boolean changeInvalidatesQuery(Collection changed)

  Returns `true` if modifications to any of the classes in `changed` results in a possible invalidation of this query; otherwise returns `false`. Invalidation is possible if one or more of the classes in this query key's access path has been changed.

### equals

    public boolean equals(Object ob)

  Determine equality based on identifying information. Keys created for queries that specify a candidate collection are always not equal.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Define a hashing algorithm corresponding to the `equals(java.lang.Object)` method defined above.
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.